Package org.apache.uima.analysis_engine.impl

# Class TaeDescription_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.resource.impl.ResourceCreationSpecifier_impl
org.apache.uima.analysis_engine.impl.AnalysisEngineDescription_impl
org.apache.uima.analysis_engine.impl.TaeDescription_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `AnalysisEngineDescription`, `TaeDescription`, `MetaDataObject`, `ResourceCreationSpecifier`, `ResourceSpecifier`, `XMLizable`

@Deprecated public class TaeDescription_impl extends AnalysisEngineDescription_impl implements TaeDescription
Deprecated.
since v2.0
Reference implementation of `TaeDescription`.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.analysis_engine.impl.AnalysisEngineDescription_impl

  `ELEM_DELEGATE_ANALYSIS_ENGINE_SPECIFIERS, PROP_DELEGATE_ANALYSIS_ENGINE_SPECIFIERS, PROP_DELEGATE_ANALYSIS_ENGINE_SPECIFIERS_WITH_IMPORTS`

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaeDescription_impl()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  Deprecated.
  To be implemented by subclasses to return information describing how to represent this object in XML.

  ### Methods inherited from class org.apache.uima.analysis_engine.impl.AnalysisEngineDescription_impl

  `buildFromXMLElement, capabilitiesContainSofa, checkForInvalidParameterOverrides, clone, doFullValidation, doFullValidation, getAdditionalAttributes, getAllComponentSpecifiers, getAnalysisEngineMetaData, getAnnotatorImplementationName, getComponentSpecifier, getDelegateAnalysisEngineSpecifiers, getDelegateAnalysisEngineSpecifiers, getDelegateAnalysisEngineSpecifiersWithImports, getFlowControllerDeclaration, getFrameworkImplementation, getSofaMappings, getXmlizationInfoForClass, isPrimitive, listAttributes, readPropertyValueFromXMLElement, resolveDelegateAnalysisEngineImports, resolveDelegateAnalysisEngineImports, resolveImports, resolveImports, setAnnotatorImplementationName, setFlowControllerDeclaration, setFrameworkImplementation, setPrimitive, setSofaMappings, toXML, toXML, toXML, validate, validateSofaMappings, writePropertyAsElement`

  ### Methods inherited from class org.apache.uima.resource.impl.ResourceCreationSpecifier_impl

  `checkForDuplicateParameterNames, getExternalResourceDependencies, getExternalResourceDependency, getImplementationName, getMetaData, getResourceManagerConfiguration, setExternalResourceDependencies, setImplementationName, setMetaData, setResourceManagerConfiguration, validate, validateConfigurationParameters`

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, equals, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.analysis_engine.AnalysisEngineDescription

  `doFullValidation, doFullValidation, getAllComponentSpecifiers, getAnalysisEngineMetaData, getAnnotatorImplementationName, getComponentSpecifier, getDelegateAnalysisEngineSpecifiers, getDelegateAnalysisEngineSpecifiers, getDelegateAnalysisEngineSpecifiersWithImports, getFlowControllerDeclaration, getFrameworkImplementation, getSofaMappings, isPrimitive, resolveImports, resolveImports, setAnnotatorImplementationName, setFlowControllerDeclaration, setFrameworkImplementation, setPrimitive, setSofaMappings, toXML, toXML, toXML`

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.resource.ResourceCreationSpecifier

  `getExternalResourceDependencies, getExternalResourceDependency, getImplementationName, getMetaData, getResourceManagerConfiguration, setExternalResourceDependencies, setImplementationName, setMetaData, setResourceManagerConfiguration, validate, validate`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### TaeDescription_impl

    public TaeDescription_impl()
    Deprecated.

- ## Method Details

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Deprecated.
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Overrides:
      `getXmlizationInfo` in class `AnalysisEngineDescription_impl`
    Returns:
      information defining this object's XML representation